package com.ejie.ab63.model;

import org.apache.xmlbeans.StringEnumAbstractBase;

public class EnumEspecialidad extends StringEnumAbstractBase {

	static final int INT_BC = 1;
	static final int INT_HR = 2;
	static final int INT_HB = 3;
	static final int INT_HC = 4;
	static final int INT_HS = 5;
	static final int INT_HP = 6;
	static final int INT_TR = 7;
	static final int INT_BR = 8;
	public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(
			new EnumEspecialidad[] { new EnumEspecialidad("BC", 1), new EnumEspecialidad("HR", 2),
					new EnumEspecialidad("HB", 3), new EnumEspecialidad("HC", 4), new EnumEspecialidad("HS", 5),
					new EnumEspecialidad("HP", 6), new EnumEspecialidad("TR", 7), new EnumEspecialidad("BR", 8) });
	private static final long serialVersionUID = 1L;

	public static EnumEspecialidad forString(String paramString) {
		return (EnumEspecialidad) table.forString(paramString);
	}

	public static EnumEspecialidad forInt(int paramInt) {
		return (EnumEspecialidad) table.forInt(paramInt);
	}

	private EnumEspecialidad(String paramString, int paramInt) {
		super(paramString, paramInt);
	}

	private Object readResolve() {
		return forInt(intValue());
	}
}